# tmpdir

> Return the directory for storing temporary files.


<section class="usage">

## Usage

``` javascript
var tmpdir = require( '@stdlib/utils/tmpdir' );
```

#### tmpdir()

Returns the directory for storing temporary files.

``` javascript
var dir = tmpdir();
// e.g., returns '/path/to/temporary/files/directory'
```

</section>

<!-- /.usage -->


<section class="examples">

## Examples

``` javascript
var PATH_SEP = require( '@stdlib/utils/path-sep' );
var tmpdir = require( '@stdlib/utils/tmpdir' );

var parts = tmpdir().split( PATH_SEP );
console.log( parts );
```

</section>

<!-- /.examples -->


---

<section class="cli">

## CLI

<section class="usage">

### Usage

``` bash
Usage: tmpdir [options]

Options:

  -h,    --help                Print this message.
  -V,    --version             Print the package version.
```

</section>

<!-- /.usage -->


<section class="examples">

### Examples

``` bash
$ tmpdir
/path/to/temporary/files/directory
```

</section>

<!-- /.examples -->

</section>

<!-- /.cli -->


<section class="links">

</section>

<!-- /.links -->
